<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
    <title>{{ env('APP_NAME') }}</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="" name="keywords">
    <meta content="" name="description">
  <title>Login Page</title>
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
  <link href="{{ asset('css/login.css') }}" rel="stylesheet">
  <style>
    /* Custom styles can be added here */
    body {
      background-color: #f8f9fa;
      height: 100vh;
      display: flex;
      justify-content: center;
      align-items: center;
    }
    .login-container {
      display: flex;
      /* background-color: #fff; */
      border-radius: 20px;
      overflow: hidden;
      /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); */
    }
    .login-form {
      background-color: #DAF2FF;
      padding: 20px;
      height: 100%;
      width: 100%;
      border-radius: 0px 20px 20px 0px;
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
    .login-image {
      max-height: 100%;
      max-width: 100%;
    }
    .align_image {
      padding-right: 0px !important;
      padding-left: 0px !important;
    }
    @media (max-width: 768px) {
      .login-container {
        flex-direction: column;
        border-radius: 20px;
      }
      .login-form {
        border-radius: 0px 0px 20px 20px;
      }
    }
    .error {
            color: #cc0033;
           font-size: 12px;
        }
        @media (max-width: 575.98px) {
            .loginimg_mob {
                display: none; 
            }
            .align_image {
    padding-right: 12px !important;
    padding-left: 12px !important;
}
.login-form {
        border-radius: 20px 20px 20px 20px;
    }
        }

  </style>
</head>
<body>
  <div class="container">
    <div class="row justify-content-center login-container">
      <div class="col-md-6 align_image p-0 loginimg_mob">
        <img src="{{ asset('/img/logingain.png')}}" alt="Login Image" class="login-image w-100">
      </div>
      <div id="preloder">
            <div class="loader"></div>
        </div>
      <div class="col-md-4 align_image p-0">
        <div class="login-form">
          <div class="d-flex align-items-center justify-content-center mb-4">
            <a href="#" class="">
              <img src="{{ asset('/img/logogain.png')}}" alt="" style="width: 100%; height: 44px;">
            </a>
          </div>
          <form method="POST" action="" id="account_info">
            @csrf
            <div class="form-group">
              <label for="email">Email</label>
              <input type="email" class="form-control" id="email" name="email" placeholder="Enter email">
              <div class="invalid-feedback" id="emailError"></div>
            </div>
            <div class="form-group">
              <label for="password">Password</label>
              <input type="password" class="form-control" id="password" name="password" placeholder="Enter password">
            </div>
            <button type="submit" class="btn btn-block" style="background-color:#2F5184;color:white;">Login</button>
          </form>
          <div class="text-center mt-3">
            <a href="{{ route('password.request') }}">Forgot Password?</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</body>
</html>

<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>
<script src="lib/chart/chart.min.js"></script>
<script src="lib/easing/easing.min.js"></script>
<script src="lib/waypoints/waypoints.min.js"></script>
<script src="lib/owlcarousel/owl.carousel.min.js"></script>
<script src="lib/tempusdominus/js/moment.min.js"></script>
<script src="lib/tempusdominus/js/moment-timezone.min.js"></script>
<script src="https://ajax.aspnetcdn.com/ajax/jquery.validate/1.10.0/jquery.validate.min.js"></script>
<script src="https://ajax.aspnetcdn.com/ajax/jquery.validate/1.10.0/additional-methods.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css">
<script src="js/main.js"></script>
<script>
    $(document).ready(function () {
        $("#account_info").validate({
            rules: {
                email: {
                    required: true,
                    email: true,
                    accept: "[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}",
                },
                password: {
                    required: true,
                    minlength: 6
                }
            },
            messages: {
                email: {
                    required: "This field is required"
                },
                password: {
                    required: "Enter password",
                    minlength: "Password should be at least {0} characters long"
                }
            },
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function () {
        $('#account_info').submit(function (event) {
            event.preventDefault();
            $.ajax({
                type: 'POST',
                url: '{{ env('API_URL') }}' + 'login',
                data: $(this).serialize(), // Serialize form data
                dataType: 'json',
                beforeSend: function () {
                    $("#preloder").fadeIn();
                },
                success: function (response) {
                    
                    $("#preloder").fadeOut();
                    if (response.success) { 
                        toastr.success('Login successful!');
                        sessionStorage.setItem("token", response.data.token);
                        sessionStorage.setItem("username", response.data.name);
                        window.location.href = "{{ route('home') }}";
                    } else {
                        toastr.error('Login failed. Please try again.'); // Display error toaster message
                    }
                },
                error: function (xhr, status, error) {
                    $("#preloder").fadeOut();
                    toastr.error('Invalid Login'); // Display error toaster message for AJAX failure
                }
            }); 
        });
    });
</script>
